import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const inventory = await lapyme.inventory.listInventory({
warehouseId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
limit: 20,
query: "remera",
});
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/inventory \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/inventory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"warehouse": {
"object": "warehouse",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"is_default": true,
"is_active": true
},
"items": [
{
"object": "inventory_item",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_name": "<string>",
"sku": "<string>",
"variant_options": {},
"option_names": [
"<string>"
],
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"product_type": "product",
"stock": {
"available": 123,
"on_hand": 123,
"reserved": 123,
"incoming": 123
}
}
]
},
"has_more": true,
"next_cursor": "<string>",
"object": "list",
"url": "<string>"
}{
"request_id": "req_inventory_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid parameters for querying inventory",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_inventory_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_inventory_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_inventory_1",
"error": {
"code": "NOT_FOUND",
"message": "Warehouse not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_inventory_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not query inventory",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}Consultar inventario por depósito
Devuelve el inventario de un depósito específico con filtros por categoría, tipo y cantidades.
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const inventory = await lapyme.inventory.listInventory({
warehouseId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
limit: 20,
query: "remera",
});
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Query Parameters
ID del depósito a consultar
Valor de next_cursor recibido en la respuesta anterior
Cantidad máxima de resultados por respuesta
1 <= x <= 100Texto de búsqueda por producto, SKU, código de barras o variante
IDs de categorías. Puede repetirse o enviarse separada por comas.
Tipos de producto. Puede repetirse o enviarse separada por comas.
product, combo, kit, service Regla para el filtro de stock disponible
equal, between Cantidad exacta cuando availableRule=equal
Cantidad mínima cuando availableRule=between
Cantidad máxima cuando availableRule=between
Regla para el filtro de stock físico
equal, between Cantidad exacta cuando onHandRule=equal
Cantidad mínima cuando onHandRule=between
Cantidad máxima cuando onHandRule=between
Regla para el filtro de stock reservado
equal, between Cantidad exacta cuando reservedRule=equal
Cantidad mínima cuando reservedRule=between
Cantidad máxima cuando reservedRule=between
Regla para el filtro de stock entrante
equal, between Cantidad exacta cuando incomingRule=equal
Cantidad mínima cuando incomingRule=between
Cantidad máxima cuando incomingRule=between
Was this page helpful?

